Небольшой обзор Mandriva 2009.0 Power Pack

Я обещал, что если найду недостатки в довольно хорошем продукте ОС Mandriva, то обязательно напишу о них. И, вот, я нашел несколько недостатков и спешу рассказать о них, вдобавок поделясь с вами информацией о том, как я их исправлял.


Дата: 20.09.2009 г.

Рейтинг: 0

Метки: mandriva

Пошаговая инструкция:

Установка системы:

О установке в сравнении с Ubuntu я уже рассказывал, но вот что интересно - устанавливал я на машину следующей конфигурации:
Mainboard: nForse4-939
CPU: AMD Athlon 3200+ (2,0 Gz) x64
RAM: 1,5 Gb
GPU: ATI Radeon x550 128MB
HDD:Samsung 160 Gb

При установке Mandriva 2009.1 Free возникал сбой после чтения USB store и дальше установка не представлялась возможной (на usb в этот момент ничего не висело), Mandriva 2009.0 Power Pack установилась без проблем.

Что стоит отметить еще, как положительный фактор, это при установке Mandriva 2009.0 Power Pack есть возможность сразу настроить интернет соединение, меня в частности интересовало PPPoE. Напомню, что в Debian необходимо было полностью установить ОС и лишь потом можно настроить соединение, отличное от локальной сети.

Обновление системы:

Утилита rpmdrake которая отвечает за установку,обновление и удаление пакетов довольно хороша в работе и довольно проста. Но при попытке обновить до Mandriva 2009.1 Power Pack с помощью нее не получилось и выдало следующие сообщение:

1 установочных транзакций не удались

Во время установки возникла ошибка:

perl(Gtk2::WebKit) нужен для (установлен)drakconf-11.9-1mdv2009.0.x86_64

perl-Gtk2-WebKit нужен для (установлен)drakxtools-11.67-1mdv2009.0.x86_64

perl-Gtk2-WebKit нужен для (установлен)drakconf-11.9-1mdv2009.0.x86_64

drakbackup нужен для (установлен)drakconf-11.9-1mdv2009.0.x86_64

userdrake >= 1.2-1mdk нужен для (установлен)drakconf-11.9-1mdv2009.0.x86_64

harddrake-ui > 10-12mdk нужен для (установлен)drakconf-11.9-1mdv2009.0.x86_64

libdrakx-net = 0.52 нужен для (установлен)drakx-net-text-0.52-1mdv2009.0.noarch

libdrakx-net = 0.52 нужен для (установлен)drakx-net-0.52-1mdv2009.0.noarch

lib64sqlite3_0 = 3.6.1-3mdv2009.0 нужен для (установлен)sqlite3-tools-3.6.1-3mdv2009.0.x86_64

drakxtools-backend = 11.67-1mdv2009.0 нужен для (установлен)drakxtools-curses-11.67-1mdv2009.0.x86_64

drakconf-icons = 11.9 нужен для (установлен)drakconf-11.9-1mdv2009.0.x86_64

и еще много чего, в частности список пакетов которые не удалось установить, но это не принципиально. Главное что не удалось его установить.

Попытки поставить новый rpmdrake из старого успехом тоже не увенчались. Но ведь менеджер пакетов благо не один единственный и я решил воспользоваться urpmi для установки пакетов и для удаления urpme. Так но мне то нужен полный апгрейд системы, для этого есть команда
# urpmi.update -a && urpmi —auto-select

Обновления тащит нормально, указывает что и откуда и за сколько, но вот общей процентарности или времени не указывает — не смертельно, но не совсем удобно. Обновление весит примерно 900 метров, после загрузки начнется установка.

После установки перезагружаемся, желательно чтобы во время установки пакетов все лишние программы не были запрещены.

Я продолжу вскрытие Мандривы, а вам удачных проб!

С уважением, Сургай Владимир.




Похожие статьи: